[USN-6499-1] GnuTLS vulnerability

Marc Deslauriers marc.deslauriers at canonical.com
Tue Nov 21 16:17:51 UTC 2023


==========================================================================
Ubuntu Security Notice USN-6499-1
November 21, 2023

gnutls28 vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 23.10
- Ubuntu 23.04
- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS

Summary:

GnuTLS could be made to expose sensitive information over the network.

Software Description:
- gnutls28: GNU TLS library

Details:

It was discovered that GnuTLS had a timing side-channel when handling
certain RSA-PSK key exchanges. A remote attacker could possibly use this
issue to recover sensitive information.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 23.10:
   libgnutls30                     3.8.1-4ubuntu1.1

Ubuntu 23.04:
   libgnutls30                     3.7.8-5ubuntu1.1

Ubuntu 22.04 LTS:
   libgnutls30                     3.7.3-4ubuntu1.3

Ubuntu 20.04 LTS:
   libgnutls30                     3.6.13-2ubuntu1.9

In general, a standard system update will make all the necessary changes.

References:
   https://ubuntu.com/security/notices/USN-6499-1
   CVE-2023-5981

Package Information:
   https://launchpad.net/ubuntu/+source/gnutls28/3.8.1-4ubuntu1.1
   https://launchpad.net/ubuntu/+source/gnutls28/3.7.8-5ubuntu1.1
   https://launchpad.net/ubuntu/+source/gnutls28/3.7.3-4ubuntu1.3
   https://launchpad.net/ubuntu/+source/gnutls28/3.6.13-2ubuntu1.9

-------------- next part --------------
A non-text attachment was scrubbed...
Name: OpenPGP_signature.asc
Type: application/pgp-signature
Size: 833 bytes
Desc: OpenPGP digital signature
URL: <https://lists.ubuntu.com/archives/ubuntu-security-announce/attachments/20231121/39c35e2f/attachment-0001.sig>


More information about the ubuntu-security-announce mailing list